Bug 488179 - register-ds-admin.pl doesn't work in silent mode when using a file for input
register-ds-admin.pl doesn't work in silent mode when using a file for input
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Command Line Utilities (Show other bugs)
1.1.3
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deon Ballard
ecs-bugs
: Documentation
Depends On:
Blocks: 434915 389_1.3.0
  Show dependency treegraph
 
Reported: 2009-03-02 19:50 EST by Brian J. Atkisson
Modified: 2012-06-21 19:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 19:13:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Atkisson 2009-03-02 19:50:37 EST
Description of problem:

register-ds-admin.pl does not seem to work correctly in silent mode or process input from a file.  Running register-ds-admin.pl -s -f file.inf (and --silent --file=file.inf) runs through the normal interactive options.  It also does not read in options provided by a file.  Another oddity is that when you run through the interactive options with --keepcache, it generates two inf files, but there is no way to pass two files back to register-ds-admin.pl for silent mode.

Version-Release number of selected component (if applicable): redhat-ds-admin-8.0.4-3.el5dsrv

How reproducible:
Always

Steps to Reproduce:
1. run 'register-ds-admin.pl -s -f filename.inf' 
  
Actual results: get prompted for input and it does not appear to read in file contents.


Expected results: A silent install, prompting for only needed information.


Additional info: I ran through this several times with Rich Megginson, who asked me to file a bug on it.
Comment 3 Deon Ballard 2011-05-19 14:43:26 EDT
Changing modifieds to ON_QA.
Comment 4 Andrew Ross 2011-05-19 17:32:23 EDT
Verified: Red_Hat_Directory_Server-Installation_Guide-8.1-web-en-US-8.1.4-6.el5

http://docs.redhat.com/docs/en-US/Red_Hat_Directory_Server/8.1/html/Installation_Guide/register-ds-admin.html
Comment 5 Deon Ballard 2012-06-21 19:13:26 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.